
dojo.provide("javascript.widgets.IFrame");

dojo.require("dojox.form.uploader.plugins.IFrame");

dojo.declare("javascript.widgets.IFrame", [dojox.form.uploader.plugins.IFrame], {
	
	upload: function(/*Object ? */data){
		if(!this.supports("multiple") || this.force =="iframe"){
			this.uploadIFrame(data);
			
			try {
				dojo.stopEvent(data);
			} catch (e) {
				//eat it
			}
			return;
		}
	},
	
	uploadIFrame: function(){
		var url = this.getUrl();
		var dfd = dojo.io.iframe.send({
			url: this.getUrl(),
			form: this.form,
			handleAs: "html", //Override this class because json doesnt work as the handleAs, use html as a workaround
			error: dojo.hitch(this, function(err){
				console.error("HTML Upload Error:" + err.message);
			}),
			load: dojo.hitch(this, function(data, ioArgs, widgetRef){
				this.onComplete(data);
			})
		});
	}
});

dojox.form.addUploaderPlugin(javascript.widgets.IFrame);

